# Class MatePairStoreElement
Represents a mate pair.

Defined in |
Signature | `template <[typename TSpec]> struct MatePairStoreElement;`

## Template Parameters

`TSpec` | The specializing type.

## Member Function Overview

- `MatePairStoreElement::MatePairStoreElement();`
  Constructor.

## Interface Metafunction Overview

- `Id<TMatePairStoreElement>::Type;`
  Returns the id type to use for `MatePairStoreElement`.

## Member Variable Overview

- `TId MatePairStoreElement::INVALID_ID`
  Constant to represent an invalid id.
- `TId MatePairStoreElement::libId`
  Refers to a library in the libraryStore or is INVALID_ID if the mate pair has no library.
- `TId[2] MatePairStoreElement::readId`
  Refers to two paried reads in readStore or is INVALID_ID values.

## Detailed Description

A mate pair consists of two reads sequences from opposite ends of the same fragment. The insert size of a mate pair is the inferred size of the fragment.

## Member Functions Detail

### `MatePairStoreElement::MatePairStoreElement();`

Constructor.

Initialize all member values to INVALID_ID.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## Interface Metafunctions Detail

### `Id<TMatePairStoreElement>::Type;`

Returns the id type to use for `MatePairStoreElement`.

#### Template Parameters

`TMatePairStoreElement` | The MatePairStoreElement specialization to get the id type for.

#### Returns

`Type` | The resulting id type.

## Member Variables Detail

### `TId MatePairStoreElement::INVALID_ID`

Constant to represent an invalid id.

### `TId MatePairStoreElement::libId`

Refers to a library in the libraryStore or is INVALID_ID if the mate pair has no library.

### `TId[2] MatePairStoreElement::readId`

Refers to two paried reads in readStore or is INVALID_ID values.

#### Dox Sources

    /*!
     * @class MatePairStoreElement
     *
     * @brief Represents a mate pair.
     *
     * @signature template <[typename TSpec]> struct MatePairStoreElement;
     *
     * @tparam TSpec The specializing type.
     *
     * A mate pair consists of two reads sequences from opposite ends of the same
     * fragment. The insert size of a mate pair is the inferred size of the
     * fragment.
     *
     * @mfn MatePairStoreElement#Id
     *
     * @headerfile <seqan/store.h>
     *
     * @brief Returns the id type to use for <tt>MatePairStoreElement</tt>.
     *
     * @signature Id<TMatePairStoreElement>::Type;
     *
     * @tparam TMatePairStoreElement The MatePairStoreElement specialization to get
     *                               the id type for.
     *
     * @return Type The resulting id type.
     *
     * @fn MatePairStoreElement::MatePairStoreElement
     *
     * @brief Constructor.
     *
     * @signature MatePairStoreElement::MatePairStoreElement();
     *
     * Initialize all member values to INVALID_ID.
     *
     * @var TId MatePairStoreElement::INVALID_ID;
     *
     * @brief Constant to represent an invalid id.
     *
     * @var TId MatePairStoreElement::libId;
     *
     * @brief Refers to a library in the @link FragmentStore::libraryStore @endlink
     *        or is INVALID_ID if the mate pair has no library.
     *
     * @var TId[2] MatePairStoreElement::readId;
     *
     * @brief Refers to two paried reads in @link FragmentStore::readStore @endlink
     *        or is INVALID_ID values.
     */